apiVersion: apps/v1
kind: Deployment
metadata:
  name: mongo-express-deployment
  labels:
    app: mongo-express
spec:
  replicas: 1
  selector:
    matchLabels:
      app: mongo-express
  template:
    metadata:
      labels:
        app: mongo-express
    spec:
      containers:
      - name: mongo-express
        image: mongo-express
        ports:
        - containerPort: 8081
        env: 
          - name: ME_CONFIG_MONGODB_ADMINUSERNAME
            value: username
          - name: ME_CONFIG_MONGODB_ADMINPASSWORD
            value: password
          - name: ME_CONFIG_MONGODB_URL
            value: mongodb://username:password@mongo-service:27017
---
apiVersion: v1
kind: Service
metadata:
  name: my-service
spec:
  selector:
    app: mongo-express
  ports:
    - protocol: TCP
      port: 8081
      targetPort: 8081
      nodePort: 30000
  type: LoadBalancer
